How do i play ds roms on 3ds using homebrew

Discussion in '3DS - Homebrew Development and Emulators' started by fabrizo13579, Mar 20, 2017.

  1. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    Hey guys wanted to know if there is an ds emulator for 3ds which will allow me to play ds games by directy putting them on sd

    And do u know how to inject gba roms on 3ds so that they directly appear on the home menu n i can play directly

    Im on 11.3
     
  2. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,536
    3,599
    Mar 16, 2012
    United States
    If you are on 11.3 without CFW, you can do neither of these things. Want to play DS and GBA ROMs, get a flashcard from nds-card.com or look up GBA Homebrew emulators. If you have CFW, look up Ultimate GBA VC Inject Generator for GBA games.
     
    Last edited by KunoichiZ, Mar 20, 2017
  3. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    You buy a flashcart
    http://www.nds-card.com/ProShow.asp?ProID=149
    There is a DS emulator, but it only works on New3DS and runs like shit. There is a GBA emulator in starterpack, but it also runs like shit.
    Which I really suggest the DSTWO for GBA emulation on stock OFW.
    You can't do GBA injection on stock OFW because you don't have the patched AGB firmware to make them work. Which is something you can only get through CFW.
    If you want a CFW, sell your 3DS and buy a new one. Current ones on the market should still be on 11.2.
     
  4. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    mine is a new 3ds 11.3
    and can u tell me what is a cfw?
    i have hombrew and i installed legit cia files through fbi when i was on 11.2 but now i cant as im on 11.3
    i have that mgba emulator its decent but i want to put those gba games on home menu
     
  5. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,536
    3,599
    Mar 16, 2012
    United States
    You can't install CFW (custom firmware) nor can you put GBA games on your Home Menu. Your only solutions are to get a flashcard or use an emulator.
     
  6. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Explaining CFWs here
    https://wiki.gbatemp.net/wiki/3DS_CFWs
    More information on CFW functions
    http://gbatemp.net/threads/faq-what-cfw-is-best-for-me.428509/
    Since you are 11.3, you are basically SOL. 11.3 has no kernel exploit and patched out all methods of downgrades including hardmod and dsiware downgrade. If you want a CFW, you would have to sell your system and buy one on 11.2 and below, which pretty much all new systems should be on.
    Otherwise your best option for DS and GBA is the DSTwo
     
  7. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    so i cant do anything except playing gba game on mgba through homebrew .thanks anyway

    which flashcart is the best to play nds and gba games on 11.3

    — Posts automatically merged - Please don't double post! —

    is it impossible to use ds emlator and injection on 11.3 or i just hav to wait for a new method to come for piracy?
     
  8. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    The DSTwo is the only cart with GBA emulation
    http://www.nds-card.com/ProShow.asp?ProID=326
    Thus it's the best for DS+GBA

    Yes, it's completely impossible. First, there is nds-bootstrap hack, but it requires a CFW to work. But it also sucks, doesn't work with most games, and doesn't save with others.
    Second, 11.3 patched out ALL FORMS OF EXPLOITS! Not only did it patch out the methods used by slow/fasthax, it also made it impossible to downgrade with hardmod/dsiwarehax. It added a NATIVE_FIRM requirement to the homemenu, meaning if you downgrade the NATIVE_FIRM, it will just boot to black screen and that's it. The only thing you can do is buy a new system.
     
  9. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    any good flashcart which plays both ds and 3ds
     
  10. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Only the DSTWO+ can play both, but the DSTWO+ requires your system to already be hacked to play 3DS roms.
    If you want to play 3DS roms now, you need to buy a Sky3DS
    http://www.nds-card.com/ProShow.asp?ProID=564
     
  11. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    can i install 3ds legit cias if i have a ds two flashcart or some other flashcart

    and y does ds emulator require cfw while mgba and other vc emulator does not require

    — Posts automatically merged - Please don't double post! —

    — Posts automatically merged - Please don't double post! —

    does ds two+ work on 11.3 and what is the means it needs to be hacked ,my console is already homebrewed do i have to do something extra

    — Posts automatically merged - Please don't double post! —

    one more question does ace 3ds plus support all ds games or only some
     
  12. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    You can not install a legit CIA without a kernel exploit, something that doesn't exist with 11.3
    There is a userland DS emulator, which is this one
    https://gbatemp.net/threads/wip-3desmume-ds-emulator-for-3ds.430223/
    Which means it can be launched through the homebrew launcher. But it hasn't been updated in months, only works on new3DS's, and runs like junk.
    The other one I posted requires deeper access to the ARM7 CPU to work. Something userland (homebrew launcher) doesn't have access to.

    The DSTWO+ can only load in NDS mode on 11.3. You can not use it for anything else, no CIA's, no .3ds rom loading, etc.
    Please edit your posts instead of multiposting.
    The Ace3DS will not work on 11.3.
     
    Last edited by Lilith Valentine, Mar 20, 2017
  13. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    will i be able to use that user land ds emulator on 11.3 through homebrew
     
  14. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Are your using a new3DS or old3DS?
     
  15. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    new
     
  16. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Actually looking at the project, it appears to need svcHax in order to work. Which means it doesn't work on 11.3
    Even if it did, it was limited to 1 game at time and ran like junk.

    You are seriously better off buying a flashcart. There is no realist way around this.
     
    Last edited by Lilith Valentine, Mar 20, 2017
  17. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    ok thanks anyway .looks like im stuck on 11.3 playing those old gba games on mgba
    ill buy some flashcart such as ace 3ds plus [sky 3ds is too costly]
     
  18. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ ☠️Grunt☠️

    Member
    20,197
    21,577
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Don't do that. Buy one with actual Wood R4 support, but the R4i Gold
    http://www.nds-card.com/ProShow.asp?ProID=149
     
  19. fabrizo13579
    OP

    fabrizo13579 Member

    Newcomer
    25
    0
    Mar 18, 2017
    India
    Y should i not use ace 3ds plus it supports11.3 right?

    — Posts automatically merged - Please don't double post! —

    — Posts automatically merged - Please don't double post! —

    Wont there be a ds emulator(in future) that can run without cfw on 11.3 because mgba and other vc emulators dont require cfw

    One more thing :is it possible that there will be another version for fbi so that i can install legit cia.

    I had already installed mario kart 7,animal crossing new leaf,mario 3d land and New super mario bros 2 ( gold) all these were legit and i installed them when i was on 11.2

    But now wherever i visit eshop it says already downloaded (mario kart 7 n mario 3d land) that means i will be able to redownload them(already tested it and works). But for the other 2 gAmes(animal crossing,new super mario bros 2 (gold) the already downloaded thing does not show instead it shows tap to purchase .it does not even show up in download history(i surfed about that and found out that animal crossing had a new version called welcome amiibo and the new super mario bros 2 in eshop was the normal version (not gold)) then i came into conclusion that it may be because of this thing

    But do u know how to bring back those games in eshop so that whenever they get corruped i can redownload them (i already exprienced it with mario kart 7 but could redownload cause the redownload option was there)but for these 2 games how do i redownload them if they get corruped or deleted (i know that i had to intall the ticket with fbi of these 2 games after i installed them but i forgot about that)
     
    Last edited by fabrizo13579, Mar 20, 2017
  20. adrifcastr

    adrifcastr GBAtemp Advanced Maniac

    Member
    1,801
    842
    Sep 12, 2016
    Germany
    no. the arm11 is simply not powerful enough. you'd need native rom booting which you can't access without a signature patcher